Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586403 - apache plugin fails when augeas 0.7.0 is used.
apache plugin fails when augeas 0.7.0 is used.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
unspecified
All Linux
medium Severity high (vote)
: ---
: ---
Assigned To: Filip Drabek
Corey Welton
:
Depends On:
Blocks: jon24-apache
  Show dependency treegraph
 
Reported: 2010-04-27 09:35 EDT by Filip Drabek
Modified: 2010-08-12 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Drabek 2010-04-27 09:35:31 EDT
Apache plugin fails when augeas 0.7 is used.
When httpd recursive lens is used and we try to change configuration and save that change this error occurs:

get.c:952: rec_process: Assertion `lens->tag == L_REC && lens->jmt != ((void *)0)' failed.
Comment 1 Charles Crouch 2010-05-04 13:06:26 EDT
According to fdrabek this should be fixed in 0.7.1 of augeas. That only appears to be available here (http://koji.fedoraproject.org/koji/buildinfo?buildID=168241) right now
Comment 2 Charles Crouch 2010-05-04 13:46:20 EDT
(12:38:27 PM) ccrouch: cswiii: so can you verify if you see https://bugzilla.redhat.com/show_bug.cgi?id=586403 too?
(12:40:53 PM) cswiii: ccrouch: if i can better determine what "fails" means.... where are we seeing that get.c message?  I can read / change config stuff so it /may/ work.  but the way comments get mucked up don't exactly provide a clear result.
Comment 3 Charles Crouch 2010-05-17 12:30:15 EDT
Filip please work with Corey on reproduction steps and see if this is still an issue with augeas 0.7.1
Comment 4 Charles Crouch 2010-05-18 10:09:38 EDT
Should go to ON_QA, along with reproduction steps
Comment 5 Filip Drabek 2010-05-18 11:54:00 EDT
Repro steps:

1. Copy httpd lens from plugin resources to /usr/share/augeas/lenses/dist/ 
2. start augeas by command augtool
3. change any apache value (for example:
  "set /files/etc/httpd/conf/httpd.conf/<IfModule?[2]/param test.c"
4. save the changes by command "save"
5. If the problem is still there then command save will end the augtool with error message "get.c:952: rec_process: Assertion `lens->tag == L_REC && lens->jmt != ((void *)0)' failed."
Comment 6 Corey Welton 2010-05-21 11:47:15 EDT
QA Verified
Comment 7 Corey Welton 2010-08-12 12:46:52 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.